<template>
  <div class="fixed inset-0 bg-black bg-opacity-50 z-40"></div>
  <div
      class="fixed top-1/2 left-1/2 transform -translate-y-1/2 -translate-x-1/2 p-3 w-full max-w-lg z-50">
    <div class="relative block text-center p-3 bg-white rounded-md shadow-lg ">
      <div class="text-right">
        <button @click="general.isShowSync = false" class="w-6 h-6 relative p-1">
          <svg class="w-full h-full" viewBox="0 0 18 18" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M1.07227 17.0078L17.0712 1.00887" stroke="black" stroke-width="1.5"
                  stroke-linecap="round" stroke-linejoin="round"/>
            <path d="M17.0703 17.0078L1.07137 1.00887" stroke="black" stroke-width="1.5"
                  stroke-linecap="round" stroke-linejoin="round"/>
          </svg>
        </button>
      </div>
      <div class="content mt-6">
        <div id="fourth" class="relative flex flex-col items-center min-h-64 overflow-hidden px-3 mt-3 text-center">
          <svg xmlns="http://www.w3.org/2000/svg" width="50" height="50" fill="#000000" viewBox="0 0 256 256"><path d="M224,48V96a8,8,0,0,1-8,8H168a8,8,0,0,1,0-16h28.69L182.06,73.37a79.56,79.56,0,0,0-56.13-23.43h-.45A79.52,79.52,0,0,0,69.59,72.71,8,8,0,0,1,58.41,61.27a96,96,0,0,1,135,.79L208,76.69V48a8,8,0,0,1,16,0ZM186.41,183.29a80,80,0,0,1-112.47-.66L59.31,168H88a8,8,0,0,0,0-16H40a8,8,0,0,0-8,8v48a8,8,0,0,0,16,0V179.31l14.63,14.63A95.43,95.43,0,0,0,130,222.06h.53a95.36,95.36,0,0,0,67.07-27.33,8,8,0,0,0-11.18-11.44Z"></path></svg>
          <div class="text-xl font-bold mb-4 text-gray-700">
            Apakah anda ingin mensinkron chat TikTok anda?
          </div>
          <div class="text-gray-600 tracking-wide">
            Anda dapat mensinkron data anda
          </div>
          <div class="flex flex-row gap-3 my-4">
            <button
              @click=confirmSync(true)
              class="inline-block h-15 py-2 px-4 bg-scheme-primary text-white transition duration-300 hover:bg-opacity-90 text-white rounded-md">
              Ya
            </button>
            <button
              @click=confirmSync(false)
              class="inline-block h-15 py-2 px-4 bg-[#FF3B30] text-white transition duration-300 hover:bg-opacity-90 text-white rounded-md">
              Tidak
            </button>
          </div>
        </div>
      </div>
    </div>
  </div>

  <Overlay/>
</template>
<script setup lang="ts">
import {useGeneralStore} from "../../stores/general";
const general = useGeneralStore()

function confirmSync(agree){
  general.isShowSync = false;
  general.isSync = agree;

  general.syncTiktok(agree)
}
</script>
